{% extends "application.html" %}

{% block style %}
    <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='js/plugin/quill/quill.snow.css') }}">
    <link href='{{ url_for("static", filename="css/sweetalert2.min.css") }}' rel='stylesheet'/>
{% endblock %}

{% block content %}
    <div class="container-fluid">
        <h1 class="h3 mb-2 ">Thông tin bệnh nhân</h1>
        <div class="card shadow mb-4">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-6">
                        <div class="row">
                            <div class="col-md-4">
                                <p class="font-weight-bold">Họ Tên:</p>
                            </div>
                            <div class="col-md-8 ">
                                {{ patient.name }}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                <p class="font-weight-bold">Số điệnt thoại:</p>
                            </div>
                            <div class="col-md-8 ">
                                {{ patient.phone_number }}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                <p class="font-weight-bold">Địa chỉ:</p>
                            </div>
                            <div class="col-md-8 ">
                                {{ patient.address }}
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="row">
                            <div class="col-md-4">
                                <p class="font-weight-bold">Số CMT:</p>
                            </div>
                            <div class="col-md-8 ">
                                {{ patient.id_card }}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                <p class="font-weight-bold">Giới tính:</p>
                            </div>
                            <div class="col-md-8 ">
                                {{ patient.gender }}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4">
                                <p class="font-weight-bold">Tuổi:</p>
                            </div>
                            <div class="col-md-8 ">
                                {{ patient.age }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <h4 class="mb-2">Triệu chứng bệnh nhân</h4>
                <div class="card shadow mb-4" style="max-height: 300px;overflow-y: auto;">
                    {% for item in record %}
                        <a href="#collapseCardExample{{ loop.index }}" class="d-block card-header py-3"
                           data-toggle="collapse"
                           role="button"
                           aria-expanded="true" aria-controls="collapseCardExample{{ loop.index }}">
                            <h6 class="m-0 font-weight-bold text-primary d-flex justify-content-between">
                                <span>{{ item.name }}</span>
                                <span>{{ item.timestamp | timestamp }}</span>
                            </h6>
                        </a>
                        <!--        <div class="collapse show" id="collapseCardExample{{loop.index}}">-->
                        <div class="collapse" id="collapseCardExample{{ loop.index }}">
                            <div class="card-body">
                                <div id="editor{{ loop.index }}" name="content" style="height: 100%; border: none">
                                    {% if item %}
                                        {{ item.content | safe }}
                                    {% endif %}
                                </div>
                                <textarea name="content" style="display:none"
                                          id="hiddenArea{{ loop.index }}"></textarea>
                            </div>
                        </div>
                    {% endfor %}
                </div>
            </div>
            <div class="col-md-6">
                <div class="d-flex justify-content-between">
                    <h4 class="mb-2">Đơn thuốc</h4>
                    <a href="{{ url_for('AdminPrescription.create', id=patient.id) }}">
                        <button class="btn btn-primary btn-sm">Thêm đơn thuốc</button>
                    </a>
                </div>
                <div class="card shadow mb-4" style="max-height: 300px;overflow-y: auto;">
                    <div class="card shadow mb-4" style="max-height: 300px;">
                        {% for item in prescription %}
                            <div class="d-block card-header py-3  d-flex justify-content-between">
                                <a href='{{ url_for("AdminPrescription.edit", patient_id=patient.id, prescription_id= item.id) }}'>
                                    <h6 class="m-0 font-weight-bold text-primary">
                                        <span>{{ item.timestamp | timestamp }}</span>
                                    </h6>
                                </a>
                                <a onclick="return xoaCat();" href="{{ url_for("AdminPrescription.delete", patient_id=patient.id, id = item.id) }}">Xóa</a>
                            </div>

                            {#                    <div class="collapse" id="collapseCardPrescription{{loop.index}}">#}
                            {#                        <div class="card-body">#}
                            {#                            {{item.body | safe }}#}
                            {#                        </div>#}
                            {#                        <a href="{{ url_for("AdminPrescription.edit", patient_id=patient.id, prescription_id= item.id) }}" class="d-flex justify-content-end">Chỉnh sửa đơn thuốc</a>#}
                            {#                    </div>#}
                        {% endfor %}
                    </div>
                </div>
            </div>
        </div>

    </div>

{% endblock %}
{% block script %}
    <script src="{{ url_for('static', filename='js/plugin/quill/quill.min.js') }}"></script>
    <script src="{{ url_for('static', filename='js/plugin/quill/image-resize.min.js' ) }}"></script>
    <script src='{{ url_for("static", filename="js/sweetalert2.all.min.js") }}'></script>
    <script>
        var toolbarOptions = [
            ['bold', 'italic', 'underline'],        // toggled buttons
            ['blockquote', 'code-block'],
            [{'list': 'ordered'}, {'list': 'bullet'}],
            [{'script': 'sub'}, {'script': 'super'}],      // superscript/subscript
            [{'header': [1, 2, 3, 4, 5, 6, false]}],
            ['link', 'image', 'formula'],          // add's image support
            [{'color': []}, {'background': []}],          // dropdown with defaults from theme
            [{'font': []}],
            [{'align': []}],
            ['clean']                                         // remove formatting button
        ];

        {% for item in record %}
            var quill = new Quill('#editor{{loop.index}}', {
                modules: {
                    // imageResize: {},
                    toolbar: false,
                },
                theme: 'snow'
            });
            quill.enable(false);
        {% endfor %}
    </script>
    <script>
        $("#identifier").on("submit", function () {
            $("#hiddenArea").val($("#editor").html());
        });
         function xoaCat() {
            var conf = confirm("Bạn chắc chắn muốn xoá?");
            return conf;
         }
    </script>

{% endblock %}
